Bug 127478 - [patch] security/libgcrypt update to 1.4.3
[patch] security/libgcrypt update to 1.4.3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rong-En Fan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-18 19:50 UTC by umq
Modified: 2009-01-06 13:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.82 KB, patch)
2008-09-18 19:50 UTC, umq
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description umq 2008-09-18 19:50:04 UTC
	The new version of security/libgcrypt 1.4.3 has been released.

	Release announcement: http://lists.gnupg.org/pipermail/gnupg-announce/2008q3/000278.html

Fix: The patch follows:
	this update supersedes ports/127224

cvs diff: Diffing .
How-To-Repeat: 	N/A
Comment 1 Edwin Groothuis freebsd_committer 2008-09-18 19:50:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->arved

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 umq 2008-09-25 03:33:54 UTC
ports following has dependency for libgcrypt.
library version numbers need to be updated.
  emulators/fuse
  emulators/libspectrum
  games/libggz
  graphics/telak
  mail/wmbiff
  misc/metalink-tools
  multimedia/vlc-devel
  net-im/mcabber
  net/csync2
  net/cyphesis
  net/wireshark
  security/dirmngr
  security/fiked
  security/gnome-keyring
  security/gnupg
  security/gnutls
  security/gsasl
  security/opencdk
  security/openvas-libnasl
  security/p5-Crypt-GCrypt
  security/pinentry
  security/seccure
  security/vpnc
  sysutils/fusefs-cryptofs
  textproc/libxslt

ports following also depend on libgcrypt
but no library version number is specified.
  net-im/climm
  security/libotr
  security/pidgin-otr
  sysutils/freeipmi

-- 
end

	Hirohisa Yamaguchi
	  umq@ueo.co.jp
Comment 3 Remko Lodder freebsd_committer 2008-12-29 11:08:11 UTC
Responsible Changed
From-To: arved->freebsd-ports-bugs

reassign manually to the ports-list. Arve'ds mail adres is no longer 
working.
Comment 4 Rong-En Fan freebsd_committer 2009-01-04 09:25:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

I'll take it.
Comment 5 dfilter freebsd_committer 2009-01-06 13:00:12 UTC
rafan       2009-01-06 12:59:57 UTC

  FreeBSD ports repository

  Modified files:
    security/libgcrypt   Makefile distinfo pkg-plist 
  Log:
  - Update to 1.4.3
  - Pass maintainership to submitter per PR 127224
  
  PR:             ports/127478
  Submitted by:   Hirohisa Yamaguchi <umq at ueo.co.jp>
  Approved by:    arved (maintainer)
  
  Revision  Changes    Path
  1.42      +2 -3      ports/security/libgcrypt/Makefile
  1.15      +3 -3      ports/security/libgcrypt/distinfo
  1.10      +2 -1      ports/security/libgcrypt/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter freebsd_committer 2009-01-06 13:01:20 UTC
rafan       2009-01-06 13:01:11 UTC

  FreeBSD ports repository

  Modified files:
    emulators/fuse       Makefile 
    emulators/libspectrum Makefile 
    games/libggz         Makefile 
    graphics/telak       Makefile 
    mail/wmbiff          Makefile 
    misc/metalink-tools  Makefile 
    multimedia/vlc-devel Makefile 
    net-im/climm         Makefile 
    net-im/mcabber       Makefile 
    net/csync2           Makefile 
    net/cyphesis         Makefile 
    net/wireshark        Makefile 
    security/dirmngr     Makefile 
    security/fiked       Makefile 
    security/gnome-keyring Makefile 
    security/gnupg       Makefile 
    security/gnutls      Makefile 
    security/gsasl       Makefile 
    security/libotr      Makefile 
    security/opencdk     Makefile 
    security/openvas-libnasl Makefile 
    security/p5-Crypt-GCrypt Makefile 
    security/pidgin-otr  Makefile 
    security/pinentry    Makefile 
    security/seccure     Makefile 
    security/vpnc        Makefile 
    sysutils/freeipmi    Makefile 
    sysutils/fusefs-cryptofs Makefile 
    textproc/libxslt     Makefile 
  Log:
  - Bump PORTREVISION due to share library version bump in security/libgcrypt
  
  PR:              ports/127478
  
  Revision  Changes    Path
  1.17      +2 -1      ports/emulators/fuse/Makefile
  1.14      +2 -1      ports/emulators/libspectrum/Makefile
  1.24      +2 -2      ports/games/libggz/Makefile
  1.15      +2 -2      ports/graphics/telak/Makefile
  1.39      +1 -1      ports/mail/wmbiff/Makefile
  1.2       +2 -1      ports/misc/metalink-tools/Makefile
  1.212     +1 -1      ports/multimedia/vlc-devel/Makefile
  1.71      +1 -0      ports/net-im/climm/Makefile
  1.34      +1 -1      ports/net-im/mcabber/Makefile
  1.10      +2 -2      ports/net/csync2/Makefile
  1.32      +2 -1      ports/net/cyphesis/Makefile
  1.139     +1 -1      ports/net/wireshark/Makefile
  1.38      +1 -1      ports/security/dirmngr/Makefile
  1.9       +2 -2      ports/security/fiked/Makefile
  1.37      +2 -2      ports/security/gnome-keyring/Makefile
  1.114     +2 -2      ports/security/gnupg/Makefile
  1.69      +2 -2      ports/security/gnutls/Makefile
  1.40      +2 -1      ports/security/gsasl/Makefile
  1.16      +1 -0      ports/security/libotr/Makefile
  1.32      +2 -1      ports/security/opencdk/Makefile
  1.4       +2 -2      ports/security/openvas-libnasl/Makefile
  1.10      +2 -2      ports/security/p5-Crypt-GCrypt/Makefile
  1.25      +1 -0      ports/security/pidgin-otr/Makefile
  1.45      +2 -1      ports/security/pinentry/Makefile
  1.4       +2 -3      ports/security/seccure/Makefile
  1.40      +2 -1      ports/security/vpnc/Makefile
  1.29      +1 -0      ports/sysutils/freeipmi/Makefile
  1.3       +2 -2      ports/sysutils/fusefs-cryptofs/Makefile
  1.90      +2 -2      ports/textproc/libxslt/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Rong-En Fan freebsd_committer 2009-01-06 13:01:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!